Loading...
Searching...
No Matches
ComponentExtent< VecT > Struct Template Reference

Vector component-wise op to evaluate the min/max of vector components and return the result as a vector of equal size and precision. More...

`#include <openvdb/points/PointStatistics.h>`

## Public Types

using | ExtentT = std::pair<VecT, VecT>

## Public Member Functions

| ComponentExtent (const VecT &init)
| ComponentExtent (const ExtentT &init)
const ExtentT & | get () const
void | operator() (const VecT &b)
void | operator() (const ExtentT &b)

## Public Attributes

ExtentT | mMinMax

## Detailed Description

template<typename VecT>
struct openvdb::v10_0::points::statistics_internal::ComponentExtent< VecT >

Vector component-wise op to evaluate the min/max of vector components and return the result as a vector of equal size and precision.

## Member Typedef Documentation

## ExtentT

template<typename VecT>

using ExtentT = std::pair<VecT, VecT>

## Constructor & Destructor Documentation

## ComponentExtent() [1/2]

template<typename VecT>

ComponentExtent | ( | const VecT & | init | ) |

inline

## ComponentExtent() [2/2]

template<typename VecT>

ComponentExtent | ( | const ExtentT & | init | ) |

inline

## Member Function Documentation

## get()

template<typename VecT>

const ExtentT & get | ( |  | ) | const

inline

## operator()() [1/2]

template<typename VecT>

void operator() | ( | const ExtentT & | b | ) |

inline

## operator()() [2/2]

template<typename VecT>

void operator() | ( | const VecT & | b | ) |

inline

## Member Data Documentation

## mMinMax

template<typename VecT>

ExtentT mMinMax